Bug 433954 - plasma systemmonitor widgets do not always update after configuration changes
Summary: plasma systemmonitor widgets do not always update after configuration changes
Status: RESOLVED FIXED
Alias: None
Product: plasma-systemmonitor
Classification: Plasma
Component: general (show other bugs)
Version: 5.21.2
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-04 12:45 UTC by Till Schäfer
Modified: 2021-03-05 13:01 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.21.3


Attachments
screenrecording showing the bug (3.33 MB, video/x-matroska)
2021-03-04 12:47 UTC, Till Schäfer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Till Schäfer 2021-03-04 12:45:18 UTC
When configuring the plasma systemmonitor widgets, the often get stuck in a state, where changed configuration is applied anymore. E.g., when editing or enable/disable the title, the change is not applied to the widget. Sometimes it is also impossible to acutally change text fields (e.g., the title), since it the contained text is static. This seems to happen pretty reliably here after configuring the widget several times. 


See the attached screen recording as an example for the first case. Second case is hard to record, because one does not see, that I am acutally typing something.
Comment 1 Till Schäfer 2021-03-04 12:47:54 UTC
Created attachment 136367 [details]
screenrecording showing the bug
Comment 2 Till Schäfer 2021-03-04 12:51:16 UTC
maybe related to 
Bug 433064 - systemmonitor line chart "amount of history to keep" has no effect
Comment 3 Bug Janitor Service 2021-03-05 08:30:07 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/libksysguard/-/merge_requests/132
Comment 4 David Redondo 2021-03-05 13:01:11 UTC
Git commit 1b6d0046f888b155cf5c4011b10d681c736b914f by David Redondo.
Committed on 05/03/2021 at 13:00.
Pushed by davidre into branch 'master'.

Also emit showTitleChanged when reloading the config
FIXED-IN:5.21.3

M  +3    -2    faces/SensorFaceController.cpp

https://invent.kde.org/plasma/libksysguard/commit/1b6d0046f888b155cf5c4011b10d681c736b914f
Comment 5 David Redondo 2021-03-05 13:01:51 UTC
Git commit 24afd59161d1cffa1ac2c3168fc62b4658eaa3e7 by David Redondo.
Committed on 05/03/2021 at 13:01.
Pushed by davidre into branch 'Plasma/5.21'.

Also emit showTitleChanged when reloading the config
FIXED-IN:5.21.3


(cherry picked from commit 1b6d0046f888b155cf5c4011b10d681c736b914f)

M  +3    -2    faces/SensorFaceController.cpp

https://invent.kde.org/plasma/libksysguard/commit/24afd59161d1cffa1ac2c3168fc62b4658eaa3e7